Bug #7000

Tk::Scrollable の include が成功しない?

Added by Sho Hashimoto about 3 years ago. Updated over 2 years ago.

Assignee:Hidetoshi Nagai
ruby -v:ruby 2.0.0dev (2012-09-07 trunk 36920) [x86_64-linux] Backport:


るりまを修正していた際に気付いたのですが、以下の include Scrollable している点はすべてうまく動作しないのではないでしょうか。require に失敗する気がします。

$ grep Scrollable */
ext/tk/lib/tkextlib/bwidget/spinbox.rb: include Scrollable
ext/tk/lib/tkextlib/bwidget/tree.rb: include Scrollable
ext/tk/lib/tkextlib/tcllib/autoscroll.rb: module Scrollable
ext/tk/lib/tkextlib/tcllib/tablelist_core.rb: include Scrollable
ext/tk/lib/tkextlib/tile/treeview.rb: include Scrollable
ext/tk/lib/tkextlib/tkHTML/htmlwidget.rb: include Scrollable
ext/tk/lib/tkextlib/tktable/tktable.rb: include Scrollable
ext/tk/lib/tkextlib/treectrl/tktreectrl.rb: include Scrollable

Tk::Scrollable が存在するようなので合っていればこれに書き換えるべきなのかもしれません。
(tk まわりに詳しくないため、動作確認はできていません。すみません)


#1 Updated by Yusuke Endoh about 3 years ago

  • Status changed from Open to Assigned
  • Assignee set to Hidetoshi Nagai


Yusuke Endoh mame@tsg.ne.jp

#2 Updated by Hidetoshi Nagai over 2 years ago

  • Status changed from Assigned to Rejected

問題なく include されます.

Also available in: Atom PDF